Skip to main content
POST
/
reports
Creates trigger to generate reports
curl --request POST \
  --url https://api.pipevest.com/v1/reports \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Digest: <content-digest>' \
  --header 'Content-Type: application/json' \
  --header 'Signature: <signature>' \
  --header 'Signature-Input: <signature-input>' \
  --header 'X-Client-Id: <x-client-id>' \
  --header 'X-Idempotency-Id: <x-idempotency-id>' \
  --data '
{
  "reportTypes": [
    "REGULATORY"
  ],
  "url": "https://companyx.com/webhooks",
  "email": "reports@companyx.com"
}
'
import requests

url = "https://api.pipevest.com/v1/reports"

payload = {
"reportTypes": ["REGULATORY"],
"url": "https://companyx.com/webhooks",
"email": "reports@companyx.com"
}
headers = {
"Content-Digest": "<content-digest>",
"X-Idempotency-Id": "<x-idempotency-id>",
"Signature": "<signature>",
"Signature-Input": "<signature-input>",
"X-Client-Id": "<x-client-id>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'POST',
headers: {
'Content-Digest': '<content-digest>',
'X-Idempotency-Id': '<x-idempotency-id>',
Signature: '<signature>',
'Signature-Input': '<signature-input>',
'X-Client-Id': '<x-client-id>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
reportTypes: ['REGULATORY'],
url: 'https://companyx.com/webhooks',
email: 'reports@companyx.com'
})
};

fetch('https://api.pipevest.com/v1/reports', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "data": {
    "reportId": 123456,
    "reportTypes": [
      "REGULATORY"
    ],
    "createdAt": 1234567890,
    "updatedAt": 1234567890,
    "status": "PROCESSING",
    "url": "https://companyx.com/webhooks",
    "email": "reports@companyx.com"
  },
  "code": 201,
  "message": "Created"
}
{
"code": 401,
"message": "Unauthorized"
}
{
"code": 404,
"message": "Not Found"
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Headers

Content-Digest
string
required

Base64 encoded sha-512 hash of the http message body.

This key isn't not required for GET and DELETE requests.

Learn how to generate content digest

Example:

"sha-512=:RK/0qy18MlBSVnWgjwz6lZEWjP/lF5HF9bvEF8FabDg=:"

X-Idempotency-Id
string
required

Unique identifier passed into each a mutable request (i.e POST, PUT, PATCH, DELETE)

This key isn't not required for GET requests

Example:

"01937261-e216-754f-99ba-c1170d65dd28"

Signature
string
required

Base64 encoded signed hash of the http message request components.

Learn how signatures work

Example:

"sig1=:OTEyMjY4...A5NTNDMEQ=:"

Signature-Input
string
required

An ordered list of components that make up the signature base. It is used to recompute and verify the Signature

Learn how signatures work

Example:

"sig1=(\"Content-Type\" \"Content-Digest\"...expires=<expires>"

X-Client-Id
string
required

Unique identifier assigned to the client

Example:

"client-id"

Body

application/json

Details used to create a reports trigger

Report Payload

Refer to Report documentation to understand how reports work

reportTypes
enum<string>[]
required

List of report types

The type of report

Available options:
USER,
TRANSACTION,
REGULATORY
url
string

A valid https url

Example:

"https://companyx.com/webhooks"

email
string

A valid email

Example:

"reports@companyx.com"

Response

Details of a investment portfolio

data
object
required
code
string
required

Request response code

Example:

201

message
string
required

Request response message

Example:

"Created"